## mozjs68 68.5.0

=== debian/changelog ===
mozjs68 (68.5.0-2~fakesync) focal; urgency=medium

  * Fake sync from Debian NEW to focal

 -- Iain Lane <laney@debian.org>  Thu, 12 Mar 2020 12:46:42 +0000

mozjs68 (68.5.0-2) experimental; urgency=medium

  * rules, test.sh: Allow tests to be excluded by name and exclude
    basic/bug653153.js.  Without more extensive patching, this test can't be
    skipped conditionally based on dpkg architecture. It fails on i386 because
    of a new test that was added in mozjs68 - the behaviour is the same as it
    was previously. This has been reported upstream:
    https://bugzilla.mozilla.org/show_bug.cgi?id=1621900

 -- Iain Lane <laney@debian.org>  Thu, 12 Mar 2020 12:14:53 +0000

mozjs68 (68.5.0-1) experimental; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New upstream release (from firefox-68.5.0 ESR tarball)
  * debian/watch,
    debian/upstream/signing-key.asc:
    - Set URI to point to latest Firefox ESR
    - Ensure we check the tarball signature with upstream key
  * debian/gbp.conf:
    - Filter undeeded files for SpiderMonkey from firefox tarball
    - Only export to upstream/latest the mozjs tarball content as
      generated by upstream js/src/make-source-package.sh tool using
      the wrapper debian/gbp-repack-mozjs-source.sh as postunpack tool
  * debian/copyright: Dropped Files-Excluded, as we rely on gbp.conf now
  * debian/control:
    - Bump Standards-Version to 4.5.0 (no changes required)
  * debian/rules:
    - Set python2.7 as default
    - compile with --enable-unaligned-private-values (as requested by gjs)
    - Don't hardcode the upstream version and use versioned lib
    - Don't compile with -fno-schedule-insns(2) (not needed anymore with gcc9)
    - Use default gcc optimizations in all the architectures, a part for ia64
  * debian/patches:
    - Refreshed
    - d/p/tests-Skip-a-test-on-s390x.patch:
      + The tests now correctly pass under s390
    - d/p/tests-Adapt-formatted-strings-results-to-system-ICU.patch,
    - d/p/Skip-some-i18n-tests-because-we-are-now-using-system-ICU.patch:
      + Adapt ICU-related tests to system instead of skipping them
    - d/p/Skip-time-zone-tests-that-fails-with-system-ICU.patch:
      + Skip time-zone tests that fails with system ICU
  * debian/tests.sh:
    - Set HOME directory to a temp directory (may be used by cache)
    - Run basic JIT tests

  [ Iain Lane ]
  * debian/control:
    - BD on rustc and cargo, now required for the build
    - BD on python2-dev instead of python-dev
    - BD on clang, libclang-dev and llvm
    - Use the new debhelper-compat method of specifying compat level,
      and bump to 12
  * debian/rules:
    - Don't explicitly enable PIE
    - Explicitly use gcc/g++
  * debian/patches:
    - d/p/sdk-mozjs68-import-a-patch-to-workaround-arm-compilation-.patch:
      + Fix ARM build (as suggested by gjs upstream)
    - d/p/TestingFunctions-Update-ICU-s-default-tz-when-setting-TZ.patch:
      + Update the ICU default timezone when setting it directly via setenv
    - d/p/time-zone-path-test-Update-for-what-our-system-ICU-return.patch:
      + Fixing some values being tested for to correspond to our ICU

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 24 Feb 2020 13:11:22 +0000

mozjs60 (60.8.0-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 01 Oct 2019 07:07:32 -0400

mozjs60 (60.8.0-1) experimental; urgency=medium

  [ Iain Lane ]
  * New upstream release (re-imported to respect Files-Excluded from
    debian/copyright).

  [ Philip Chimento ]
  * d/p: Manually refreshed patches due to style reformatting of Mozilla
    codebase having been applied upstream since the last update
  * d/p: Dropped tests-snans-be.patch, already applied upstream
  * d/p: Dropped Bug-1560064-Barrier-Set-MovableCellHasher-JSObject-visibi,
    already applied upstream
  * d/p: Added patches from https://bugzilla.mozilla.org/show_bug.cgi?id=1375074
    and https://bugzilla.mozilla.org/show_bug.cgi?id=1445907 to fix JIT
    crashes on aarch64, based on the suggestion in
    https://bugzilla.mozilla.org/show_bug.cgi?id=1527311 (LP: #1842927)

 -- Iain Lane <laney@debian.org>  Mon, 09 Sep 2019 16:05:19 +0100

mozjs60 (60.2.3-4) experimental; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * d/p/Bug-1560064-Barrier-Set-MovableCellHasher-JSObject-visibi.patch:
    - Make js::MovableCellHasher<JSObject*>::* symbols visible under GCC
  * debian/patches: Refresh

  [ Iain Lane ]
  * Generate shlibs with a lower bound. 60.2.3-4 is introducing a new symbol.
    We need reverse-deps to have a dependency on this version if they have
    been built with it. After 60.2.3, generate shlibs with -VUpstream-Version,
    so that dependencies are generated in the form >= Upstream-Version. A
    symbols file would be better.
  * debian/control{,.in}: Add tzdata to Depends an B/uild-Depends. The tests
    use ICU and require that this is installed. If it's not, they fail with
    messages like "non262/Date/time-zones.js:41:5 Error: Assertion failed: got
    "Fri Jul 19 2002 16:10:55 GMT+0000", expected "Fri Jul 19 2002 16:10:55"
    GMT+0100" because they can't run in the specified timezones.

 -- Iain Lane <laney@debian.org>  Mon, 24 Jun 2019 17:50:53 +0100

mozjs60 (60.2.3-3) unstable; urgency=medium

  * Team upload
  * Acknowledge NMU. Thanks to Julien Cristau. (Closes: #909536)
  * Upload to unstable

 -- Simon McVittie <smcv@debian.org>  Sat, 13 Apr 2019 19:40:04 +0100

mozjs60 (60.2.3-2.1) experimental; urgency=medium

  * Non-maintainer upload.
  * d/p/tests-Add-the-ability-to-skip-tests-according-to-dpkg-arc.patch:
    wait() our dpkg-architecture child so we don't confuse the test runner.
  * Import patch from bmo #1488552 to fix 64-bit BE
  * Clean up better.
  * Fix TypedArray on 64-bit BE.
  * Don't run non262/extensions/clone-errors.js on s390x, it crashes.
  * This should let us pass tests on s390x, thus closes: #909536.


