=== testing/raptor/requirements.txt ===
mozcrash ~= 1.0
mozrunner ~= 7.0
mozprofile ~= 2.1
manifestparser >= 1.1
wptserve ~= 1.4.0
mozdevice >= 3.0.1
mozproxy >= 1.0
