=== testing/marionette/client/requirements.txt ===
mozrunner >= 7.4.0
mozversion >= 2.1.0
six
