=== testing/tools/view_gecko_profile/requirements.txt ===
mozrunner ~= 7.0
wptserve ~= 1.4.0
