=== debian/changelog ===
mozjs68 (68.6.0-1ubuntu1) focal; urgency=medium

  * Add riscv64 support.

 -- William Grant <wgrant@ubuntu.com>  Tue, 14 Apr 2020 10:18:28 +1000

mozjs68 (68.6.0-1) experimental; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New upstream release with security fixes:
    - https://www.mozilla.org/en-US/firefox/68.6.0/releasenotes/

  [ Simon McVittie ]
  * d/rules: Swap --host and --target.
    The Mozilla build system's terminology is not the same as Autoconf's,
    and previous versions of the mozjs Debian packages got the translation
    wrong.
  * d/rules: Ask moz.configure to give us more information
  * d/rules: Print complete config.log if configure fails
  * d/rules: Forcibly set appropriate values for the Rust targets,
    fixing FTBFS on armel (Closes: #954774)

 -- Iain Lane <laney@debian.org>  Thu, 26 Mar 2020 17:52:32 +0000
