=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 # -*- makefile -*-
 
 include /usr/share/dpkg/default.mk
+include /usr/share/rustc/architecture.mk
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
@@ -15,6 +16,8 @@
 # like zsh
 export SHELL = /bin/sh
 export PYTHON = python2.7
+# Please tell us what you're thinking...
+export MOZ_CONFIGURE_TRACE = yes
 
 SRCDIR = $(CURDIR)/js/src
 BUILDDIR = $(CURDIR)/debian/build
@@ -105,10 +108,15 @@
 	VERBOSE=1 $(PYTHON) intl/icu_sources_data.py "$(CURDIR)"
 endif
 	mkdir -p $(BUILDDIR)
-	cd $(BUILDDIR) && CC=$(CC) CXX=$(CXX) $(SHELL) \
-	$(SRCDIR)/configure \
-		--host=$(DEB_HOST_GNU_TYPE) \
-		--target=$(DEB_BUILD_GNU_TYPE) \
+	cd $(BUILDDIR); \
+	if env \
+		CC=$(CC) \
+		CXX=$(CXX) \
+		RUST_HOST=$(DEB_BUILD_RUST_TYPE) \
+		RUST_TARGET=$(DEB_HOST_RUST_TYPE) \
+	$(SHELL) $(SRCDIR)/configure \
+		--host=$(DEB_BUILD_GNU_TYPE) \
+		--target=$(DEB_HOST_GNU_TYPE) \
 		--prefix=/usr \
 		--libdir=/usr/lib/${DEB_HOST_MULTIARCH}/ \
 		--enable-posix-nspr-emulation \
@@ -119,7 +127,14 @@
 		--enable-readline \
 		--disable-optimize \
 		--disable-jemalloc \
-		$(CONFIGURE_FLAGS)
+		$(CONFIGURE_FLAGS) \
+	; then \
+		echo Configure successful; \
+	else \
+		echo Configure failed with status $$?; \
+		tail -v -n +0 config.log; \
+		exit 1; \
+	fi
 
 override_dh_install:
 	# move library and create additional symlinks to standardize the file layout
